Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.distance
Class GeometryFacet

    java.lang.Object
      com.vividsolutions.jts.operation.distance.GeometryFacet

All Implemented Interfaces:
  java.lang.Comparable

    public class GeometryFacet

extends java.lang.Object
implements java.lang.Comparable

Represents a line segment or point of a `Geometry`, and records its distance to another facet.

Author:
  Martin Davis

Constructor Summary
`GeometryFacet(Coordinate p0, Coordinate p1, double distance)`

Method Summary
`int` | `compareTo(java.lang.Object o)` Compares this object with the specified object for order.
`double` | `distance(GeometryFacet facet)`
`double` | `getDistance()`
`Envelope` | `getEnvelope()`
`boolean` | `isSegment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryFacet

    public GeometryFacet(Coordinate p0,
                         Coordinate p1,
                         double distance)

Method Detail

### getDistance

    public double getDistance()

### isSegment

    public boolean isSegment()

### getEnvelope

    public Envelope getEnvelope()

### distance

    public double distance(GeometryFacet facet)

### compareTo

    public int compareTo(java.lang.Object o)

  Compares this object with the specified object for order. Uses the standard lexicographic ordering for the points in the LineSegment.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - the `LineSegment` with which this `LineSegment` is being compared
  Returns:
    a negative integer, zero, or a positive integer as this `LineSegment` is less than, equal to, or greater than the specified `LineSegment`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD